Subject: Re: How to make cygwin/bash shell work in emacs
From: "Ehud Karni" <[email-masked]>
To: "Chet Ramey" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 2 Oct 2001 23:48:12 +0200

On Tue, 2 Oct 2001 17:11:40 -0400, Chet Ramey <[email-masked]> wrote:
> > 
> > Emacs starts Bash as "Non-login interactive shells". To make thing
> > easier I suggest you set "BASH_ENV" to "/etc/profile" in ~/.emacs:
> >     (setenv "BASH_ENV" "/etc/profile")
> 
> I don't see how you can possibly expect this to do anything, since the
> portion of the manual page you quoted says explicitly that BASH_ENV is
> only interpreted by *non-interactive* shells, and  you claim that emacs
> starts bash as a non-login *interactive* shell.
> 
> (I don't use emacs, so I don't know if your claim is correct.)
 
Emacs start "Non-login interactive shells" when you start a sub-shell.
(this is bash -i).
It start a "non-interactive" shell (i.e. commands interpreter) for any
external command and in this case it uses the BASH_ENV.
(this is bash command arg1 arg2 .....).

Ehud.

-- 
 Ehud Karni     Mivtach - Simon  Insurance   /"\
 Tel: +972-3-7966-561 Fax: +972-3-7966-667   \ /  ASCII Ribbon Campaign
 (USA) Fax and  voice  mail: 1-815-5509341    X   Against  HTML  Mail
     Better     Safe     Than     Sorry      / \
     mailto:[email-masked]    http://www.simonwiesel.co.il

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/